<?php

class CpayActivator
{
    public function __construct()
    {
        //table not in database. Create new table
    }


    public static function activate()
    {
        self::createCpayTables();
    }


    private static function createCpayTables()
    {
        global $wpdb;


        $table_cpay_customer = $wpdb->prefix. 'woocommerce_cpay_customer';

        if ($wpdb->get_var("SHOW TABLES LIKE '" . $table_cpay_customer . "'") != $table_cpay_customer) {
            $req_cpay_customer = "CREATE TABLE `".$table_cpay_customer."` (
                                            `cpayCustomerId` varchar(255) NOT NULL,
                                            `wpUserId` int(11) NOT NULL,
                                            `dateCreation` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
                                            ) ENGINE=MyISAM DEFAULT CHARSET=latin1;";

            $sql = $req_cpay_customer;

            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);

            dbDelta($sql);
        }
    }
}
