<?php

if (!defined("ABSPATH")) {
    exit;
}
require_once plugin_dir_path(__FILE__) . 'class-cpay-log.php';

class CpayConfig
{
    public const CPAY_API_TEST_URI = "https://test-api.centralpay.net/v2/rest/";
    public const CPAY_API_PROD_URI = "https://api.centralpay.net/v2/rest/";

    public static bool $TESTMODE = false;

    public static function getApiUrl()
    {
        if (CpayConfig::$TESTMODE) {
            return CpayConfig::CPAY_API_TEST_URI;
        } else {
            return CpayConfig::CPAY_API_PROD_URI;
        }
    }

    public const CPAY_SITE = "https://www.centralpay.com/";

    public $http_host;

    public function __construct()
    {
    }


    public function getHttpHost()
    {
        return $_SERVER['HTTP_HOST'];
    }

    public static function generateSalt()
    {
        return bin2hex(openssl_random_pseudo_bytes(8));
    }
}
